# SNESLS

Newton based nonlinear solver that uses a line search

### Options Database

| -snes_ls [cubic,quadratic,basic,basicnonorms] | - Selects line search
| -snes_ls_alpha <alpha> | - Sets alpha
| -snes_ls_maxstep <max> | - Sets maxstep
| -snes_ls_steptol <steptol> | - Sets steptol, this is the minimum step size that the line search code will accept; min p[i]/x[i] < steptol. The -snes_stol <stol> is the minimum step length the default convergence test will use and is based on 2-norm(p) < stol*2-norm(x)

Notes: This is the default nonlinear solver in SNES

### See Also

SNESCreate(), SNES, SNESSetType(), SNESTR, SNESLineSearchSet(),
SNESLineSearchSetPostCheck(), SNESLineSearchNo(), SNESLineSearchCubic(), SNESLineSearchQuadratic(), SNESLineSearchSet(), SNESLineSearchNoNorms(), SNESLineSearchSetPreCheck()

Level:beginner
Location: src/snes/impls/ls/ls.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages